summaryrefslogtreecommitdiff
path: root/tests/extended-headers-ignored.setup
diff options
context:
space:
mode:
Diffstat (limited to 'tests/extended-headers-ignored.setup')
-rwxr-xr-xtests/extended-headers-ignored.setup34
1 files changed, 34 insertions, 0 deletions
diff --git a/tests/extended-headers-ignored.setup b/tests/extended-headers-ignored.setup
new file mode 100755
index 0000000..e8162ff
--- /dev/null
+++ b/tests/extended-headers-ignored.setup
@@ -0,0 +1,34 @@
+#!/bin/sh
+#
+# Creates a git repo from a bsd tarball we made earlier
+#
+# Copyright © 2015 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+
+set -e
+
+# create the .lorry file for the repository
+cat <<EOF > "$DATADIR/extended-headers-ignored-test.lorry"
+{
+ "extended-headers-test-repo": {
+ "type": "tarball",
+ "url": "file://$SRCDIR/tests/extended_headers_test_archive.tar"
+ }
+}
+EOF
+
+# create the working directory
+test -d "$DATADIR/work-dir" || mkdir "$DATADIR/work-dir"